Subject: Rhododendron

From: [email-masked] (Joanne Koch)
Date: 12 Jun 1996 15:10:55 GMT

I have a friend with two rhododendrons that she planted about 4 years ago. When
she planted them they were small and neither had flower buds. Since then, the
plants have more than doubled in size but neither plant will flower. Is there a
reason for this? And is there anything she can do to get the plants to produce
flowers?